#include <bits/stdc++.h>
using namespace std;

long long t,n,m,k;

int main(){

    cin>>t;
      for(int g=1;g<=t;g++){
        cin>>n>>m>>k;
        int visak=n%k;
        int bru_pogrupi=(n-visak)/k;
        int br_normgrupa=k-visak;
       
        int utrosak = 0;
        for(int i=1;i<=bru_pogrupi+1;i++){
          utrosak+=i;
        }
        m-=visak*utrosak;
        utrosak=0;
        for(int i=1;i<=bru_pogrupi;i++){
          utrosak+=i;
        }
        m-=br_normgrupa*utrosak;
        if(m>=0){
          cout<<"Tak"<<endl;
        }
        else if(m<0){
          cout<<"Nie"<<endl;
        } 

      }

    return 0;
}